include:
  - project: '$CICD_TEMPLATE_PROJECT'
    ref: 'terraform-nomad-auth'
    # ref: '$CICD_TEMPLATE_REF'
    file: '$CICD_TEMPLATE_FILE'

nomad-render:
  before_script:
  - LATEST_PLEX_TAG=$(curl -s https://api.github.com/repos/linuxserver/docker-plex/releases/latest | jq -r '.tag_name // "latest"')
  - LATEST_TAUTULLI_TAG=$(curl -s https://api.github.com/repos/linuxserver/docker-tautulli/releases/latest | jq -r '.tag_name // "latest"')
  - 'echo "plexImage: linuxserver/plex:$LATEST_PLEX_TAG" >> $LEVANT_VAR_FILE'
  - 'echo "tautulliImage: linuxserver/tautulli:$LATEST_TAUTULLI_TAG" >> $LEVANT_VAR_FILE'
